r2746 - dists/trunk/live-initramfs/scripts/live-bottom

daniel at alioth.debian.org daniel at alioth.debian.org
Sun Aug 12 07:42:23 UTC 2007


Author: daniel
Date: 2007-08-12 07:42:23 +0000 (Sun, 12 Aug 2007)
New Revision: 2746

Added:
   dists/trunk/live-initramfs/scripts/live-bottom/02timezone
Removed:
   dists/trunk/live-initramfs/scripts/live-bottom/02_timezone
Log:


Deleted: dists/trunk/live-initramfs/scripts/live-bottom/02_timezone
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/02_timezone	2007-08-12 07:41:18 UTC (rev 2745)
+++ dists/trunk/live-initramfs/scripts/live-bottom/02_timezone	2007-08-12 07:42:23 UTC (rev 2746)
@@ -1,50 +0,0 @@
-#!/bin/sh
-
-#set -e
-
-# initramfs-tools header
-
-PREREQ=""
-
-prereqs()
-{
-	echo "${PREREQ}"
-}
-
-case "${1}" in
-	prereqs)
-		prereqs
-		exit 0
-		;;
-esac
-
-# live-initramfs header
-
-. /scripts/live-functions
-
-log_begin_msg "Setting timezone..."
-
-# live-initramfs script
-
-if [ -n "${TIMEZONE}" ]; then
-    area="$(echo ${TIMEZONE} | cut -f1 -d '/')"
-    zone="$(echo ${TIMEZONE} | cut -f2 -d '/')"
-    chroot /root debconf-communicate -fnoninteractive live-initramfs > /dev/null <<EOF
-set tzdata/Areas $area
-set tzdata/Zones/$area $zone
-EOF
-    cp -f /root/usr/share/zoneinfo/${area}/${zone} /root/etc/localtime
-else
-    chroot /root debconf-communicate -fnoninteractive live-initramfs > /dev/null <<EOF
-set tzdata/Areas Etc
-set tzdata/Zones/Etc UTC
-EOF
-    cp -f /root/usr/share/zoneinfo/UTC /root/etc/localtime
-fi
-
-if [ -n "${UTC}" ]
-then
-	sed -i -e "s/UTC=.*/UTC=${UTC}/" /root/etc/default/rcS
-fi
-
-log_end_msg

Copied: dists/trunk/live-initramfs/scripts/live-bottom/02timezone (from rev 2732, dists/trunk/live-initramfs/scripts/live-bottom/02_timezone)
===================================================================
--- dists/trunk/live-initramfs/scripts/live-bottom/02timezone	                        (rev 0)
+++ dists/trunk/live-initramfs/scripts/live-bottom/02timezone	2007-08-12 07:42:23 UTC (rev 2746)
@@ -0,0 +1,50 @@
+#!/bin/sh
+
+#set -e
+
+# initramfs-tools header
+
+PREREQ=""
+
+prereqs()
+{
+	echo "${PREREQ}"
+}
+
+case "${1}" in
+	prereqs)
+		prereqs
+		exit 0
+		;;
+esac
+
+# live-initramfs header
+
+. /scripts/live-functions
+
+log_begin_msg "Setting timezone..."
+
+# live-initramfs script
+
+if [ -n "${TIMEZONE}" ]; then
+    area="$(echo ${TIMEZONE} | cut -f1 -d '/')"
+    zone="$(echo ${TIMEZONE} | cut -f2 -d '/')"
+    chroot /root debconf-communicate -fnoninteractive live-initramfs > /dev/null <<EOF
+set tzdata/Areas $area
+set tzdata/Zones/$area $zone
+EOF
+    cp -f /root/usr/share/zoneinfo/${area}/${zone} /root/etc/localtime
+else
+    chroot /root debconf-communicate -fnoninteractive live-initramfs > /dev/null <<EOF
+set tzdata/Areas Etc
+set tzdata/Zones/Etc UTC
+EOF
+    cp -f /root/usr/share/zoneinfo/UTC /root/etc/localtime
+fi
+
+if [ -n "${UTC}" ]
+then
+	sed -i -e "s/UTC=.*/UTC=${UTC}/" /root/etc/default/rcS
+fi
+
+log_end_msg




More information about the debian-live-changes mailing list